#pragma once

#include "CoreMinimal.h"
#include "UserSettingsBaseEditorData.h"
#include "UserSettingsCheckboxEditorData.generated.h"

USTRUCT(BlueprintType)
struct FUserSettingsCheckboxEditorData : public FUserSettingsBaseEditorData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText Label;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsSelected;

public:
	DEADBYDAYLIGHT_API FUserSettingsCheckboxEditorData();
};

FORCEINLINE uint32 GetTypeHash(const FUserSettingsCheckboxEditorData) { return 0; }
